﻿import { Field } from ".";

export class Entity {
    id: number = 0;
    name: string = '';
    displayName: string = '';
    descripion: string = '';
    isSystemDefined: boolean = false;
    fields: Field[] = new Array<Field>();
    createdBy : string = '';
    createdOn : Date = new Date();
    modifiedBy: string = '';
    modifiedOn: Date | null = null;
    workspaceId:number = 0;
    creationMode:number = 0;
}