import * as React from "react";
import { QuickFormView as CoreQuickFormView } from "../../Controls/QuickFormView";
import { QuickFormView as CorrespondenceQuickFormView } from "./Correspondence/QuickFormView";
import { QuickFormView as TaskQuickFormView } from "./Task/QuickFormView";

export class QuickFormView extends React.Component<any, any> {
    // private fieldsControl: FieldsControl;
    constructor(props: any) {
        super(props);
    }

    public render(): JSX.Element {
        return (this.props.Record.entityId == 14 ?
            <CorrespondenceQuickFormView  {...this.props}></CorrespondenceQuickFormView> :
            (
                this.props.Record.entityId == 24 ?
                    <TaskQuickFormView  {...this.props}></TaskQuickFormView> :
                    <CoreQuickFormView  {...this.props}></CoreQuickFormView>)
        )
    }
}