﻿import { Lookup } from ".";

export class Field {
    index:number=0;
    id: number = 0;
    name: string = '';
    placeHolder:string='';
    displayName: string = '';
    type: number = 0;
    allowNull: boolean = false;
    isUnique: boolean = false;
    showInListView: boolean = false;
    lookups: Lookup[] = new Array<Lookup>();
    referencedEntityId: number = 0;
    isSystemDefined: boolean = false;
    isManyToMany: boolean = false;
    enableSelectionForReferencedEntity: boolean = false;
    enableCreationForReferencedEntity: boolean = false;
    selectedLookup: Lookup = new Lookup();
    stepNumber:number = 0;
}