﻿import { File } from ".";

export class Folder {
    
    id: number = 0;
    name: string = '';
    childrenFolders: Folder[] = new Array<Folder>();
    files: File[] = new Array<File>();
    thumbnail: File | null = null;
    parentFolderId: number | null = null;
    driveId: number | null = null;
    createdBy : string = '';
    createdOn : Date = new Date();
    modifiedBy: string = '';
    modifiedOn: Date | null = null;
}