import { Entity } from ".";

export class Workspace {
    id: number = 0;
    name: string = '';
    displayName: string = '';
    isSystemDefined: boolean = false;
    entities: Entity[] = new Array<Entity>();
    createdBy : string = '';
    createdOn : Date = new Date();
    modifiedBy: string = '';
    modifiedOn: Date | null = null;

}